
HaspelSpeed = {};

function HaspelSpeed.prerequisitesPresent(specializations)
    return true;
end;

function HaspelSpeed:load(xmlFile)
    self.MaxReelSpeed = 0.003;
    self.MinReelSpeed = 0.0007;
    self.SpeedAddValue = 0.00005;
end;

function HaspelSpeed:delete()
end;

function HaspelSpeed:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HaspelSpeed:keyEvent(unicode, sym, modifier, isDown)
end;

function HaspelSpeed:update(dt)
 
    if self:getIsActiveForInput() then
            
			if self.reelStarted then
				if (self.reelSpeed-self.SpeedAddValue) >= self.MinReelSpeed then
                            self.reelSpeed = (self.reelSpeed-self.SpeedAddValue);
                            for _, rollNode in pairs(self.rollNodes) do
                                rollNode.speed = -self.reelSpeed;
                            end;
                            self.reelSpeedMax = self.reelSpeed;
                            self.reelSpeedEnd = (self.reelSpeed-0.00001);
                end;
				if (self.reelSpeed+self.SpeedAddValue) <= self.MaxReelSpeed then
                            self.reelSpeed = (self.reelSpeed+self.SpeedAddValue);
                            for _, rollNode in pairs(self.rollNodes) do
                                rollNode.speed = -self.reelSpeed;
                            end;
                            self.reelSpeedMax = self.reelSpeed;
                            self.reelSpeedEnd = (self.reelSpeed-0.00001);
                end;
			end;
	end;		
end;



function HaspelSpeed:updateTick(dt)
end;

function HaspelSpeed:draw()
end;
